Loading...
Searching...
No Matches
BALL::VIEW::GridVisualizationDialog Class Reference
Visualisation » QT Dialogs

`#include <BALL/VIEW/DIALOGS/gridVisualizationDialog.h>`

Inheritance diagram for BALL::VIEW::GridVisualizationDialog:

## Public Slots

void | accept ()
void | autoScale ()
void | gridSelected ()
int | exec ()

## Public Member Functions

| GridVisualizationDialog (QWidget *parent=0, const char *name="GridVisualizationDialog", bool modal=false, Qt::WindowFlags fl=0)
| ~GridVisualizationDialog ()
void | setGrid (RegularData3D *grid)
void | setController (RegularData3DController *controller)
void | setMinValue (float value)
void | setMaxValue (float value)
void | setMidValue (float value)

## Protected Member Functions

| GridVisualizationDialog (const GridVisualizationDialog &dialog)
bool | insertGrid_ (RegularData3D &grid, const String &name)
void | checkApplyButton_ ()

## Protected Attributes

RegularData3D * | grid_
RegularData3DController * | controller_
std::list< RegularData3D * > | grid_list_

## Detailed Description

Dialog for visualizing grids.

Definition at line 33 of file gridVisualizationDialog.h.

## Constructor & Destructor Documentation

## GridVisualizationDialog() [1/2]

BALL::VIEW::GridVisualizationDialog::GridVisualizationDialog | ( | QWidget * | parent = 0,
|  | const char * | name = "GridVisualizationDialog",
|  | bool | modal = false,
|  | Qt::WindowFlags | fl = 0 )

## ~GridVisualizationDialog()

BALL::VIEW::GridVisualizationDialog::~GridVisualizationDialog | ( |  | ) |

## GridVisualizationDialog() [2/2]

BALL::VIEW::GridVisualizationDialog::GridVisualizationDialog | ( | const GridVisualizationDialog & | dialog | ) |

protected

## Member Function Documentation

## accept

void BALL::VIEW::GridVisualizationDialog::accept | ( |  | ) |

slot

## autoScale

void BALL::VIEW::GridVisualizationDialog::autoScale | ( |  | ) |

slot

## checkApplyButton_()

void BALL::VIEW::GridVisualizationDialog::checkApplyButton_ | ( |  | ) |

protected

## exec

int BALL::VIEW::GridVisualizationDialog::exec | ( |  | ) |

slot

## gridSelected

void BALL::VIEW::GridVisualizationDialog::gridSelected | ( |  | ) |

slot

## insertGrid_()

bool BALL::VIEW::GridVisualizationDialog::insertGrid_ | ( | RegularData3D & | grid,
|  | const String & | name )

protected

## setController()

void BALL::VIEW::GridVisualizationDialog::setController | ( | RegularData3DController * | controller | ) |

## setGrid()

void BALL::VIEW::GridVisualizationDialog::setGrid | ( | RegularData3D * | grid | ) |

## setMaxValue()

void BALL::VIEW::GridVisualizationDialog::setMaxValue | ( | float | value | ) |

## setMidValue()

void BALL::VIEW::GridVisualizationDialog::setMidValue | ( | float | value | ) |

## setMinValue()

void BALL::VIEW::GridVisualizationDialog::setMinValue | ( | float | value | ) |

## Member Data Documentation

## controller_

RegularData3DController* BALL::VIEW::GridVisualizationDialog::controller_

protected

Definition at line 78 of file gridVisualizationDialog.h.

## grid_

RegularData3D* BALL::VIEW::GridVisualizationDialog::grid_

protected

Definition at line 77 of file gridVisualizationDialog.h.

## grid_list_

std::list<RegularData3D*> BALL::VIEW::GridVisualizationDialog::grid_list_

protected

Definition at line 80 of file gridVisualizationDialog.h.